package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.ActivityFormReq;
import com.seer.teach.mp.admin.controller.resp.AdminActivityFormRelationResp;
import com.seer.teach.mp.admin.controller.resp.AdminActivityFormResp;
import com.seer.teach.mp.entity.MpActivityFormEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

@Mapper
public interface AdminActivityFormConvert {
    AdminActivityFormConvert INSTANCE = Mappers.getMapper(AdminActivityFormConvert.class);

    AdminActivityFormResp convertToResp(MpActivityFormEntity entity);

    AdminActivityFormRelationResp convertToRelationResp(MpActivityFormEntity entity);

    MpActivityFormEntity convertToEntity(ActivityFormReq request);
}